/* -----------------------------------------------
bepress IR local stylesheet.
Author: Jami Wardlow
Version: Dec 2023
PLEASE SAVE THIS FILE LOCALLY!
----------------------------------------------- */

/* ---------------- Meta Elements ---------------- */

@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:ital,wght@0,100..900;1,100..900&family=Roboto+Slab&display=swap');

	/* --- Meta styles and background --- */

html { background-image: linear-gradient(to right, #f8f8f8 25%, #fff 75%); }

body {
	font: normal 14px/1.5 "Roboto", sans-serif;  /* should be medium except when fitting into a fixed container */
	background: #fff url(assets/md5images/067ea6e45db1f8efcf1ee446a058706d.png) no-repeat center top;
	background-color: transparent !important;
}

#macalester { background: url(assets/md5images/5a832abc285ab6bcbddbe8f341d682f8.gif) repeat-x left bottom; }

/* ---------------- Header ---------------- */

#macalester #header {
	position: relative;  /* needed for logo positioning */
	height: auto !important; /* !important overrides mbl styling */
}

#macalester #banner_image {
	display: block; /* removes descender of inline element */
	width: 980px; /* not necessary if image is sized correctly */
	height: auto !important;  /* avoids warping improperly sized header image / SUP-19994 */
}

#macalester #header a#banner_link:focus img {
    outline: 2px dotted #d44420;
}

/* ---------------- Navigation ---------------- */

#macalester #navigation,
#macalester #navigation #tabs {
	height: 32px;
	white-space: nowrap;
	background: transparent;
}

#macalester #navigation #tabs,
#macalester #navigation #tabs ul,
#macalester #navigation #tabs ul li {
	padding: 0;
	margin: 0;
}

#macalester #navigation #tabs,
#macalester #navigation #tabs ul {
	display: flex;
	justify-content: flex-start;
	width: 100%;
}

#macalester #navigation #tabs a {
	font: bold 13px "Roboto Condensed", sans-serif;
	text-transform: uppercase;
	display: block;
	height: 32px;
	line-height: 32px;
	color: #fff;
	background-color: #013657;
	padding: 0 11px 0 10px;;
	margin: 0;
	border: 0;
}

#macalester #navigation #tabs a:hover,
#macalester #navigation #tabs a:active,
#macalester #navigation #tabs a:focus {
	text-decoration: underline;
}

#macalester #navigation #tabs #tabone a {
	border-left: 2px solid #d44420; }

/* ---------------- Sidebar ---------------- */

#macalester #sidebar { padding-top: 16px }

#macalester #sidebar h2 {
	font: normal 16px "Roboto", sans-serif;
	color: #000;
	text-indent: 0;
	width: 200px;
	background: transparent;
	padding-bottom: 5px;
	border: none;
	border-bottom: 1px solid #ebebeb;
	margin-left: 15px;
}

#macalester #sidebar a {
	font: normal 14px "Roboto", sans-serif;
	color: #0d3f62;
	text-decoration: none;
}

#macalester #sidebar a:hover,
#macalester #sidebar a:active,
#macalester #sidebar a:focus {
	color: #000;
	text-decoration: underline;
}

#macalester #sidebar #sidebar-search label {
	font: normal 14px "Roboto", sans-serif;
	color: #01426a;
}

#macalester #sidebar #sidebar-search {
	margin-top: 8px;
	padding-left: 15px;
}

#macalester #sidebar #sidebar-search span.border { background: transparent; }

.searchbutton { cursor: pointer; } /* best practice, should move to ir-layout.css */

/* ---------------- Main Content ---------------- */

/* this has been creating a gap on top of full-width homepage images. trying to figure out if it's actually necessary for any reason */
/* #macalester #content { padding-top: 16px; } */

	/* Sticky Footer */

#macalester #content { /* calculates 100% viewport height - (total heights of header, navigation and footer) */
	min-height: calc(100vh - 271px);
}
	/* --- Breadcrumbs --- */

#macalester #main.text div.crumbs a:link,
#macalester #main.text div.crumbs a:visited {
	text-decoration: none;
	color: #104e7b;
}

#macalester #main.text div.crumbs a:hover,
#macalester #main.text div.crumbs a:active,
#macalester #main.text div.crumbs a:focus {
	text-decoration: underline;
	color: #000;
}

#macalester #breadcrumb a,
#macalester .crumbs p a,
#macalester #pager li {
	font-size: 12px;
}

	/* --- Headers --- */

#macalester #homepage-heading-row h2 {
	font: bold 27px "Roboto Condensed", sans-serif;
	text-transform: uppercase;
	margin: 3px 0 5px;
}

h3 {
	margin: 0;
	text-decoration: underline;
}

	/* Homepage browse buttons */

#macalester #dcn-home #cover-browse .home-row {
	display: flex;
	justify-content: space-between;
}

#macalester #dcn-home #cover-browse .home-col {
	width: 212px;
    height: 190px;
    background: #194167;
    margin-bottom: 20px; 
}

#macalester #dcn-home #cover-browse .home-col a:nth-child(2) {
	font: normal 20px "Roboto Slab", serif;
	text-decoration: none;
	text-align: center;
	color: #fff;
	display: block;
	margin-top: 8px;
}

#macalester #dcn-home #cover-browse .home-col a:focus img {
	outline: 2px dotted #d44420; }

	/* --- Links --- */

#macalester #main.text a:link,
#macalester #main.text a:visited {
	color: #104e7b; /* declared for #network-icon text */
}

#macalester #main.text a:hover,
#macalester #main.text a:active,
#macalester #main.text a:focus {
	color: #000;
	text-decoration: underline;
}

	/* PotD / Top DL widgets */

#macalester .box.aag h2,
#macalester .box.potd h2 {
	font: bold 22px "Roboto Condensed", sans-serif;
	text-transform: uppercase;
	width: 267px;
	border-bottom: 1px solid #ddd;
	margin: 0;
}

#macalester #main.text .box a:link,
#macalester #main.text .box a:visited {
	background: none;
	font: bold 14px "Roboto", sans-serif;
	text-decoration: none;
	border-bottom: 1px solid #ddd;
}

#macalester #main.text .box a:hover,
#macalester #main.text .box a:active,
#macalester #main.text .box a:focus {
	text-decoration: underline;
}

	/* Browse Disciplines */

#macalester #content .subnav li {
	font-size: 13px;
}

#macalester .discipline-browser dt,
#macalester .new-discipline dt {
	font-size: 15px;
}
#macalester .discipline-browser dd,
#macalester .new-discipline dd,
#macalester dl.communities dd ul li {
	font-size: 14px;
}

#macalester .discipline-browser dd,
#macalester .new-discipline dd {
    padding: 3px 0;
}

	/* Submit Research */

#macalester .communities dt,
#macalester .communities dt a:link {
	font-size: 14px;
	font-weight: normal;
}
#macalester dl.communities dd ul li {
    line-height: 1.3em;
}

	/* Announcements */

#macalester #main.text #announce h3,
#macalester #main.text #announce h4 {
 	font-size: 15px;
}

	/* Site subpage headings */

#macalester #main.text h2#ir-about,
#macalester #main.text h2#faq-top,
#macalester #main.text h2#communities-title,
#macalester #main.text h2#top,
#macalester #main.text h2#submit-title,
#macalester #main.text #announce h2,
#macalester #main.text #accessibility-statement h2 {
	font-size: 22px;
}

#macalester #help h2 {
	font-size: 18px !important;
	text-decoration: none !important;
}

	/* homepage stats */

#macalester p#stats,
#macalester #main.text #network-icon a {
	font-size: 13px;
}

	/* Article pages series/journal/event */

#macalester #alpha .element p,
#macalester #custom-fields .element p,
#macalester #alpha #recommended_citation p,
#macalester #alpha #attach_additional_files .files span {
	font-size: 14px;
}

#macalester #beta_7-3 #beta-disciplines.aside p {
	font-size: 14px !important;
}

#macalester #alpha .element h4,
#macalester #custom-fields .element h4,
#macalester #beta_7-3 h4,
#macalester #alpha #attach_additional_files .related strong {
	font-size: 15px !important;
}
#macalester #alpha #title.element p {
	font-size: 22px;
}

/* ---------------- Footer ---------------- */

#macalester #footer,
#macalester #bepress a {
	height: 75px;
	background-color: #181a1b;
}

#bepress a:focus { outline: 2px dotted #104e7b; }

#macalester #footer p,
#macalester #footer p a {
	font: normal 13px/1.6 "Roboto", sans-serif;
	color: #fff;
	text-decoration: none;
}

#macalester  #footer a.secondary-link { font-size: 11px; }

#macalester #footer p:first-of-type { padding-top: 18px; }

#macalester #footer p a:hover,
#macalester #footer p a:active,
#macalester #footer p a:focus {
	text-decoration: underline;
}

/* ---------------- Miscellaneous fixes ---------------- */

	/* Browse Authors accessibility fix (CSFR-2684) */

#macalester #main.text .authorbrowser p.letters a:hover,
#macalester #main.text .authorbrowser p.letters a:focus {
   background: url(/assets/azMe.jpg) bottom center no-repeat;
   color: #fff;
}

	/* Remove gap under search pages for full-width footers */

.legacy #macalester #wrapper:after { content: none; }

	/* Search */

#macalester #main.text a:link span.icon-question-sign {
	text-decoration: none;
}

	/* Increase contrast on My Account headings */

#macalester .text #myaccount h2 { color: #000; }

/* ---------------- Mobile ---------------- */

.mbl #macalester #header,
.mbl #macalester #header a#banner_link img,
.mbl #macalester #navigation {
	width: 100% !important;
}

	/* fixes invisible space above header */

header#mobile-nav { 
    font-size: 0;
    line-height: 0;
}

	/* fixes bullet underline for Browse Research and Scholarship links */

.mbl #main #buttons { text-decoration: none; }

	/* stacks headings and spans in .box */

.mbl #macalester .box.aag h2,
.mbl #macalester .box.potd h2 {
	width: 100%;
}
	
.mbl .box.aag span,
.mbl .box.potd span {
    display: block;
}

.mbl #macalester #dcn-home #homepage-heading-row {
  align-items: center;
}
.mbl #macalester #dcn-home #homepage-heading-row .btn {
  display: inline;
}
.mbl #macalester #dcn-home #homepage-heading-row .btn:hover,
.mbl #macalester #dcn-home #homepage-heading-row .btn:focus,
.mbl #macalester #dcn-home #homepage-heading-row .btn:active {
  margin-left: 0;
}
.mbl #macalester #dcn-home span.site-follow {
  margin: 0 5px;
}

.mbl #macalester #dcn-home #cover-browse .home-row { display: initial; }

.mbl #macalester #dcn-home #cover-browse .home-col {
	float: left;
	margin-right: 20px;
}